Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.jul
Class LevelTranslator

    java.lang.Object
      org.apache.logging.log4j.jul.LevelTranslator

    public final class LevelTranslator

extends Object

Utility class to convert between JDK Levels and Log4j 2 Levels.

Since:
  2.1

Field Summary
`static org.apache.logging.log4j.Level` | `CONFIG` Custom Log4j level corresponding to the `Level.CONFIG` logging level.
`static org.apache.logging.log4j.Level` | `FINEST` Custom Log4j level corresponding to the `Level.FINEST` logging level.

Method Summary
`static Level` | `toJavaLevel(org.apache.logging.log4j.Level level)` Converts a Log4j logging Level to a JDK logging Level.
`static org.apache.logging.log4j.Level` | `toLevel(Level level)` Converts a JDK logging Level to a Log4j logging Level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FINEST

    public static final org.apache.logging.log4j.Level FINEST

  Custom Log4j level corresponding to the `Level.FINEST` logging level. This maps to a level more specific than `Level.TRACE`.

### CONFIG

    public static final org.apache.logging.log4j.Level CONFIG

  Custom Log4j level corresponding to the `Level.CONFIG` logging level. This maps to a level in between `Level.INFO` and `Level.DEBUG`.

Method Detail

### toLevel

    public static org.apache.logging.log4j.Level toLevel(Level level)

  Converts a JDK logging Level to a Log4j logging Level.

  Parameters:
    `level` - JDK Level to convert.
  Returns:
    converted Level.

### toJavaLevel

    public static Level toJavaLevel(org.apache.logging.log4j.Level level)

  Converts a Log4j logging Level to a JDK logging Level.

  Parameters:
    `level` - Log4j Level to convert.
  Returns:
    converted Level.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.